Ubuntu

I get error msg "Fix broken packages first" when I try to update pkgs

Asked by andrew prudente on 2012-04-30

I don't know how to resolve the error or how I can fix the broken packages. In any case, it doesn't say which packages are broken. There is probably some command I should execute at the command line but I don't have a clue what it should be.

-------------------------------------------------------------------------------------------------

You guys are great. Here is the output from sudo apt-get update:

andrew@andrew99:~$ sudo apt-get update
[sudo] password for andrew:
Hit http://archive.canonical.com lucid Release.gpg
Ign http://archive.canonical.com/ubuntu/ lucid/partner Translation-en_US
Get:1 http://archive.ubuntu.com lucid Release.gpg [189B]
Ign http://archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid/universe Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid/restricted Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-en_US
Get:2 http://archive.ubuntu.com lucid-security Release.gpg [198B]
Get:3 http://archive.ubuntu.com lucid-updates Release.gpg [198B]
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-en_US
Get:4 http://security.ubuntu.com lucid-security Release.gpg [198B]
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US
Hit http://archive.canonical.com lucid Release
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-en_US
Get:5 http://archive.ubuntu.com lucid Release [57.2kB]
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-en_US
Get:6 http://security.ubuntu.com lucid-security Release [57.3kB]
Hit http://archive.canonical.com lucid/partner Packages
Get:7 http://archive.ubuntu.com lucid-security Release [57.3kB]
Hit http://archive.canonical.com lucid/partner Sources
Get:8 http://archive.ubuntu.com lucid-updates Release [57.3kB]
Get:9 http://security.ubuntu.com lucid-security/universe Packages [144kB]
Get:10 http://archive.ubuntu.com lucid/main Packages [1,383kB]
Get:11 http://security.ubuntu.com lucid-security/main Packages [417kB]
Get:12 http://security.ubuntu.com lucid-security/multiverse Packages [5,345B]
Get:13 http://security.ubuntu.com lucid-security/restricted Packages [2,840B]
Get:14 http://archive.ubuntu.com lucid/universe Packages [5,430kB]
Get:15 http://archive.ubuntu.com lucid/restricted Packages [6,193B]
Get:16 http://archive.ubuntu.com lucid/multiverse Packages [176kB]
Get:17 http://archive.ubuntu.com lucid/universe Sources [3,165kB]
Get:18 http://archive.ubuntu.com lucid/main Sources [659kB]
Get:19 http://archive.ubuntu.com lucid/restricted Sources [3,775B]
Get:20 http://archive.ubuntu.com lucid/multiverse Sources [119kB]
Get:21 http://archive.ubuntu.com lucid-security/universe Sources [39.3kB]
Get:22 http://archive.ubuntu.com lucid-security/main Sources [122kB]
Get:23 http://archive.ubuntu.com lucid-security/multiverse Sources [2,323B]
Get:24 http://archive.ubuntu.com lucid-security/restricted Sources [1,259B]
Get:25 http://archive.ubuntu.com lucid-updates/universe Packages [285kB]
Get:26 http://archive.ubuntu.com lucid-updates/main Packages [612kB]
Get:27 http://archive.ubuntu.com lucid-updates/multiverse Packages [11.3kB]
Get:28 http://archive.ubuntu.com lucid-updates/restricted Packages [4,638B]
Get:29 http://archive.ubuntu.com lucid-updates/universe Sources [98.4kB]
Get:30 http://archive.ubuntu.com lucid-updates/main Sources [221kB]
Get:31 http://archive.ubuntu.com lucid-updates/multiverse Sources [5,537B]
Get:32 http://archive.ubuntu.com lucid-updates/restricted Sources [2,194B]
Fetched 13.1MB in 16s (797kB/s)
Reading package lists... Done
W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ lucid/partner Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_lucid_partner_binary-amd64_Packages)
W: You may want to run apt-get update to correct these problems
andrew@andrew99:~$

And here is the output from sudo apt-get upgrade:

Unpacking replacement mysql-client-core-5.1 ...
Preparing to replace mysql-server-core-5.1 5.1.41-3ubuntu12.10 (using .../mysql-server-core-5.1_5.1.62-0ubuntu0.10.04.1_amd64.deb) ...
Unpacking replacement mysql-server-core-5.1 ...
Preparing to replace nvidia-173-modaliases 173.14.22-0ubuntu11 (using .../nvidia-173-modaliases_173.14.22-0ubuntu11.1_amd64.deb) ...
Unpacking replacement nvidia-173-modaliases ...
Preparing to replace nvidia-current-modaliases 195.36.24-0ubuntu1~10.04.1 (using .../nvidia-current-modaliases_195.36.24-0ubuntu1~10.04.2_amd64.deb) ...
Unpacking replacement nvidia-current-modaliases ...
Preparing to replace openjdk-6-jdk 6b20-1.9.10-0ubuntu1~10.04.2 (using .../openjdk-6-jdk_6b20-1.9.13-0ubuntu1~10.04.1_amd64.deb) ...
Unpacking replacement openjdk-6-jdk ...
Preparing to replace openssl 0.9.8k-7ubuntu8.6 (using .../openssl_0.9.8k-7ubuntu8.11_amd64.deb) ...
Unpacking replacement openssl ...
Preparing to replace php5-common 5.3.2-1ubuntu4.11 (using .../php5-common_5.3.2-1ubuntu4.15_amd64.deb) ...
Unpacking replacement php5-common ...
Preparing to replace php5-dev 5.3.2-1ubuntu4.11 (using .../php5-dev_5.3.2-1ubuntu4.15_amd64.deb) ...
Unpacking replacement php5-dev ...
Preparing to replace python-httplib2 0.6.0-1 (using .../python-httplib2_0.7.2-1ubuntu2~0.10.04.1_all.deb) ...
Unpacking replacement python-httplib2 ...
Preparing to replace python-wadllib 1.1.4-1ubuntu1 (using .../python-wadllib_1.1.4-1ubuntu1.1_all.deb) ...
Unpacking replacement python-wadllib ...
Preparing to replace python-lazr.restfulclient 0.9.11-1ubuntu1.1 (using .../python-lazr.restfulclient_0.9.11-1ubuntu1.3_all.deb) ...
Unpacking replacement python-lazr.restfulclient ...
Preparing to replace python-libxml2 2.7.6.dfsg-1ubuntu1.2 (using .../python-libxml2_2.7.6.dfsg-1ubuntu1.4_amd64.deb) ...
Unpacking replacement python-libxml2 ...
Preparing to replace python-pam 0.4.2-12.1ubuntu1 (using .../python-pam_0.4.2-12.1ubuntu1.10.04.1_amd64.deb) ...
Unpacking replacement python-pam ...
Preparing to replace unattended-upgrades 0.55ubuntu6 (using .../unattended-upgrades_0.55ubuntu7_all.deb) ...
Unpacking replacement unattended-upgrades ...
Preparing to replace python-software-properties 0.75.10.1 (using .../python-software-properties_0.75.10.2_all.deb) ...
Unpacking replacement python-software-properties ...
Preparing to replace samba-common-bin 2:3.4.7~dfsg-1ubuntu3.8 (using .../samba-common-bin_2%3a3.4.7~dfsg-1ubuntu3.10_amd64.deb) ...
Unpacking replacement samba-common-bin ...
Preparing to replace software-properties-gtk 0.75.10.1 (using .../software-properties-gtk_0.75.10.2_all.deb) ...
Unpacking replacement software-properties-gtk ...
Preparing to replace software-properties-kde 0.75.10.1 (using .../software-properties-kde_0.75.10.2_all.deb) ...
Unpacking replacement software-properties-kde ...
Preparing to replace update-manager-kde 1:0.134.11.1 (using .../update-manager-kde_1%3a0.134.12.1_all.deb) ...
Unpacking replacement update-manager-kde ...
Preparing to replace xdg-utils 1.0.2-6.1ubuntu3.1 (using .../xdg-utils_1.0.2-6.1ubuntu3.2_all.deb) ...
Unpacking replacement xdg-utils ...
Preparing to replace xserver-common 2:1.7.6-2ubuntu7.10 (using .../xserver-common_2%3a1.7.6-2ubuntu7.11_all.deb) ...
Unpacking replacement xserver-common ...
Preparing to replace xserver-xorg-core 2:1.7.6-2ubuntu7.10 (using .../xserver-xorg-core_2%3a1.7.6-2ubuntu7.11_amd64.deb) ...
Unpacking replacement xserver-xorg-core ...
Preparing to replace xserver-xorg-video-all 1:7.5+5ubuntu1 (using .../xserver-xorg-video-all_1%3a7.5+5ubuntu1.1_amd64.deb) ...
Unpacking replacement xserver-xorg-video-all ...
Preparing to replace xserver-xorg-input-all 1:7.5+5ubuntu1 (using .../xserver-xorg-input-all_1%3a7.5+5ubuntu1.1_amd64.deb) ...
Unpacking replacement xserver-xorg-input-all ...
Preparing to replace xserver-xorg 1:7.5+5ubuntu1 (using .../xserver-xorg_1%3a7.5+5ubuntu1.1_amd64.deb) ...
Unpacking replacement xserver-xorg ...
Preparing to replace xorg 1:7.5+5ubuntu1 (using .../xorg_1%3a7.5+5ubuntu1.1_amd64.deb) ...
Unpacking replacement xorg ...
Preparing to replace xulrunner-1.9.2 1.9.2.24+build2+nobinonly-0ubuntu0.10.04.1 (using .../xulrunner-1.9.2_1.9.2.28+build1+nobinonly-0ubuntu0.10.04.1_amd64.deb) ...
Removing obsolete conffile /etc/gre.d/1.9.2.24.system.conf ...
Unpacking replacement xulrunner-1.9.2 ...
Preparing to replace fglrx-modaliases 2:8.723.1-0ubuntu5 (using .../fglrx-modaliases_2%3a8.723.1-0ubuntu6_amd64.deb) ...
Unpacking replacement fglrx-modaliases ...
Preparing to replace mobile-broadband-provider-info 20100716-1ubuntu0.1 (using .../mobile-broadband-provider-info_20111113-1ubuntu0.10.04_all.deb) ...
Unpacking replacement mobile-broadband-provider-info ...
Preparing to replace openjdk-6-doc 6b20-1.9.10-0ubuntu1~10.04.2 (using .../openjdk-6-doc_6b20-1.9.13-0ubuntu1~10.04.1_all.deb) ...
Unpacking replacement openjdk-6-doc ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
Processing triggers for doc-base ...
Processing 8 changed doc-base file(s)...
Registering documents with scrollkeeper...
Processing triggers for install-info ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for desktop-file-utils ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for packagekit-backend-apt ...
Generating mime/codec maps...
Processing triggers for software-center ...
Processing triggers for ufw ...
Processing triggers for shared-mime-info ...
Unknown media type in type 'chemical/x-alchemy'

Unknown media type in type 'chemical/x-cache'

Unknown media type in type 'chemical/x-cactvs-ascii'

Unknown media type in type 'chemical/x-cactvs-binary'

Unknown media type in type 'chemical/x-cactvs-table'

Unknown media type in type 'chemical/x-cdx'

Unknown media type in type 'chemical/x-cdxml'

Unknown media type in type 'chemical/x-chem3d'

Unknown media type in type 'chemical/x-cif'

Unknown media type in type 'chemical/x-cml'

Unknown media type in type 'chemical/x-daylight-smiles'

Unknown media type in type 'chemical/x-dmol'

Unknown media type in type 'chemical/x-gamess-input'

Unknown media type in type 'chemical/x-gamess-output'

Unknown media type in type 'chemical/x-gaussian-input'

Unknown media type in type 'chemical/x-gaussian-log'

Unknown media type in type 'chemical/x-genbank'

Unknown media type in type 'chemical/x-gulp'

Unknown media type in type 'chemical/x-hin'

Unknown media type in type 'chemical/x-inchi'

Unknown media type in type 'chemical/x-inchi-xml'

Unknown media type in type 'chemical/x-jcamp-dx'

Unknown media type in type 'chemical/x-macromodel-input'

Unknown media type in type 'chemical/x-mdl-molfile'

Unknown media type in type 'chemical/x-mdl-rdfile'

Unknown media type in type 'chemical/x-mdl-rxnfile'

Unknown media type in type 'chemical/x-mdl-sdfile'

Unknown media type in type 'chemical/x-mdl-tgf'

Unknown media type in type 'chemical/x-mmcif'

Unknown media type in type 'chemical/x-mol2'

Unknown media type in type 'chemical/x-mopac-graph'

Unknown media type in type 'chemical/x-mopac-input'

Unknown media type in type 'chemical/x-mopac-out'

Unknown media type in type 'chemical/x-msi-car'

Unknown media type in type 'chemical/x-msi-hessian'

Unknown media type in type 'chemical/x-msi-mdf'

Unknown media type in type 'chemical/x-msi-msi'

Unknown media type in type 'chemical/x-ncbi-asn1'

Unknown media type in type 'chemical/x-ncbi-asn1-binary'

Unknown media type in type 'chemical/x-ncbi-asn1-xml'

Unknown media type in type 'chemical/x-pdb'

Unknown media type in type 'chemical/x-shelx'

Unknown media type in type 'chemical/x-vmd'

Unknown media type in type 'chemical/x-xyz'

Unknown media type in type 'all/all'

Unknown media type in type 'all/allfiles'

Unknown media type in type 'uri/mms'

Unknown media type in type 'uri/mmst'

Unknown media type in type 'uri/mmsu'

Unknown media type in type 'uri/pnm'

Unknown media type in type 'uri/rtspt'

Unknown media type in type 'uri/rtspu'

Unknown media type in type 'fonts/package'

Unknown media type in type 'interface/x-winamp-skin'

Processing triggers for python-support ...
Processing triggers for python-central ...
Setting up x11-common (1:7.5+5ubuntu1.1) ...

Setting up libc6-i386 (2.11.1-0ubuntu7.10) ...

Setting up libc-dev-bin (2.11.1-0ubuntu7.10) ...
Setting up linux-libc-dev (2.6.32-41.88) ...
Setting up libc6-dev (2.11.1-0ubuntu7.10) ...
Setting up cpp-4.4 (4.4.3-4ubuntu5.1) ...
Setting up libgomp1 (4.4.3-4ubuntu5.1) ...

Setting up gcc-4.4 (4.4.3-4ubuntu5.1) ...
Setting up libobjc2 (4.4.3-4ubuntu5.1) ...

Setting up gobjc-4.4 (4.4.3-4ubuntu5.1) ...
Setting up libgfortran3 (4.4.3-4ubuntu5.1) ...

Setting up lib32gcc1 (1:4.4.3-4ubuntu5.1) ...

Setting up lib32stdc++6 (4.4.3-4ubuntu5.1) ...

Setting up tzdata-java (2012b-0ubuntu0.10.04) ...
Setting up libssl-dev (0.9.8k-7ubuntu8.11) ...
Setting up apt-utils (0.7.25.3ubuntu9.11) ...

Setting up cron (3.0pl1-106ubuntu6) ...
cron start/running, process 8606

Setting up libtasn1-3 (2.4-1ubuntu0.1) ...

Setting up libtasn1-3-dev (2.4-1ubuntu0.1) ...
Setting up libgnutls26 (2.8.5-2ubuntu0.1) ...

Setting up libgnutls-dev (2.8.5-2ubuntu0.1) ...
Setting up libldap-2.4-2 (2.4.21-0ubuntu5.7) ...

Setting up sysvinit-utils (2.87dsf-4ubuntu17.5) ...
Setting up sysv-rc (2.87dsf-4ubuntu17.5) ...

Setting up initscripts (2.87dsf-4ubuntu17.5) ...
Installing new version of config file /etc/init.d/umountnfs.sh ...

Setting up procps (1:3.2.8-1ubuntu4.2) ...
Installing new version of config file /etc/init/procps.conf ...

Setting up apt-transport-https (0.7.25.3ubuntu9.11) ...
Setting up libxml2 (2.7.6.dfsg-1ubuntu1.4) ...

Setting up libxml2-dev (2.7.6.dfsg-1ubuntu1.4) ...
Setting up update-manager-core (1:0.134.12.1) ...

Setting up apache2-utils (2.2.14-5ubuntu8.9) ...
Setting up app-install-data-partner (12.10.04.6) ...

Setting up ca-certificates-java (20100406ubuntu1.1) ...
Installing new version of config file /etc/ca-certificates/update.d/jks-keystore ...
removing untrusted certificates...
  removed untrusted certificate diginotar_root_ca

Setting up libck-connector0 (0.4.1-3ubuntu3) ...

Setting up consolekit (0.4.1-3ubuntu3) ...
Setting up libpng12-0 (1.2.42-1ubuntu2.5) ...

Setting up libpng12-dev (1.2.42-1ubuntu2.5) ...
Setting up libtiff4 (3.9.2-2ubuntu0.8) ...

Setting up libtiffxx0c2 (3.9.2-2ubuntu0.8) ...

Setting up libtiff4-dev (3.9.2-2ubuntu0.8) ...
Setting up libcups2 (1.4.3-1ubuntu1.6) ...

Setting up libcupsimage2 (1.4.3-1ubuntu1.6) ...

Setting up libcups2-dev (1.4.3-1ubuntu1.6) ...
Setting up libcupsimage2-dev (1.4.3-1ubuntu1.6) ...
Setting up libcupscgi1 (1.4.3-1ubuntu1.6) ...

Setting up libcupsdriver1 (1.4.3-1ubuntu1.6) ...

Setting up libcupsmime1 (1.4.3-1ubuntu1.6) ...

Setting up libcupsppdc1 (1.4.3-1ubuntu1.6) ...

Setting up cups-common (1.4.3-1ubuntu1.6) ...
Setting up cups-client (1.4.3-1ubuntu1.6) ...

Setting up cups-bsd (1.4.3-1ubuntu1.6) ...

Setting up cups (1.4.3-1ubuntu1.6) ...
 * Starting Common Unix Printing System: cupsd [ OK ]

Setting up cvs (1:1.12.13-12ubuntu1.10.04.1) ...

Setting up devscripts (2.10.61ubuntu5.1) ...

Setting up libfreetype6 (2.3.11-1ubuntu2.6) ...

Setting up libfreetype6-dev (2.3.11-1ubuntu2.6) ...
Setting up libevdocument2 (2.30.3-0ubuntu1.3) ...

Setting up libevview2 (2.30.3-0ubuntu1.3) ...

Setting up evince (2.30.3-0ubuntu1.3) ...

Setting up firefox (12.0+build1-0ubuntu0.10.04.1) ...
Installing new version of config file /etc/apport/blacklist.d/firefox ...
Installing new version of config file /etc/apparmor.d/usr.bin.firefox ...
Installing new version of config file /etc/firefox/pref/firefox.js ...
Please restart all running instances of firefox, or you will experience problems.

Setting up firefox-branding (12.0+build1-0ubuntu0.10.04.1) ...
Setting up flashplugin-installer (11.2.202.235ubuntu0.10.04.1) ...
Downloading...
--2012-05-10 19:50:48-- http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_11.2.202.235.orig.tar.gz
Resolving archive.canonical.com... 91.189.92.191, 91.189.92.150
Connecting to archive.canonical.com|91.189.92.191|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 14131146 (13M) [application/x-gzip]
Saving to: `./adobe-flashplugin_11.2.202.235.orig.tar.gz'

     0K ........ ........ ........ ........ ........ ........ 22% 1.27M 8s
  3072K ........ ........ ........ ........ ........ ........ 44% 1.50M 5s
  6144K ........ ........ ........ ........ ........ ........ 66% 1.95M 3s
  9216K ........ ........ ........ ........ ........ ........ 89% 2.31M 1s
 12288K ........ ........ ....... 100% 1.90M=8.0s

2012-05-10 19:50:56 (1.69 MB/s) - `./adobe-flashplugin_11.2.202.235.orig.tar.gz' saved [14131146/14131146]

Download done.
Flash Plugin installed.

Setting up firefox-gnome-support (12.0+build1-0ubuntu0.10.04.1) ...
Setting up firefox-locale-en (12.0+build1-0ubuntu0.10.04.1) ...
Setting up libgcu0 (0.10.12-2ubuntu1.1) ...

Setting up gcu-bin (0.10.12-2ubuntu1.1) ...

Setting up gdm-guest-session (0.15ubuntu0.1) ...
Setting up grub-common (1.98-1ubuntu13) ...

Setting up grub-pc (1.98-1ubuntu13) ...
Installation finished. No error reported.
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.32-37-generic
Found initrd image: /boot/initrd.img-2.6.32-37-generic
Found linux image: /boot/vmlinuz-2.6.32-32-generic
Found initrd image: /boot/initrd.img-2.6.32-32-generic
Found linux image: /boot/vmlinuz-2.6.32-28-generic
Found initrd image: /boot/initrd.img-2.6.32-28-generic
Found memtest86+ image: /boot/memtest86+.bin
Found Windows Vista (loader) on /dev/sda2
done

Setting up libmagickcore2 (7:6.5.7.8-1ubuntu1.2) ...

Setting up libmagickwand2 (7:6.5.7.8-1ubuntu1.2) ...

Setting up imagemagick (7:6.5.7.8-1ubuntu1.2) ...

Setting up libservlet2.5-java (6.0.24-2ubuntu1.10) ...
Setting up libjetty-java (6.1.22-1ubuntu1.1) ...
Setting up libjetty-java-doc (6.1.22-1ubuntu1.1) ...
Setting up jetty (6.1.22-1ubuntu1.1) ...
 * Not starting jetty - edit /etc/default/jetty and change NO_START to be 0 (or comment it out).

Setting up libgtk-vnc-1.0-0 (0.3.10-2ubuntu2.2) ...

Setting up libicu42 (4.2.1-3ubuntu0.10.04.1) ...

Setting up libmagickcore2-extra (7:6.5.7.8-1ubuntu1.2) ...
Setting up mysql-common (5.1.62-0ubuntu0.10.04.1) ...
Setting up libmysqlclient16 (5.1.62-0ubuntu0.10.04.1) ...

Setting up libpam-ck-connector (0.4.1-3ubuntu3) ...

Setting up libpq5 (8.4.11-0ubuntu0.10.04) ...

Setting up samba-common (2:3.4.7~dfsg-1ubuntu3.10) ...

Setting up libwbclient0 (2:3.4.7~dfsg-1ubuntu3.10) ...

Setting up smbclient (2:3.4.7~dfsg-1ubuntu3.10) ...
Setting up winbind (2:3.4.7~dfsg-1ubuntu3.10) ...
 * Starting the Winbind daemon winbind [ OK ]

Setting up libsmbclient (2:3.4.7~dfsg-1ubuntu3.10) ...

Setting up libvorbis0a (1.2.3-3ubuntu1.1) ...

Setting up libvorbisenc2 (1.2.3-3ubuntu1.1) ...

Setting up libvorbisfile3 (1.2.3-3ubuntu1.1) ...

Setting up libxml2-utils (2.7.6.dfsg-1ubuntu1.4) ...
Setting up media-player-info (16-1~lucid1) ...
Setting up mysql-client-core-5.1 (5.1.62-0ubuntu0.10.04.1) ...
Setting up mysql-server-core-5.1 (5.1.62-0ubuntu0.10.04.1) ...
Setting up nvidia-173-modaliases (173.14.22-0ubuntu11.1) ...
Setting up nvidia-current-modaliases (195.36.24-0ubuntu1~10.04.2) ...
Setting up openjdk-6-jdk (6b20-1.9.13-0ubuntu1~10.04.1) ...

Setting up openssl (0.9.8k-7ubuntu8.11) ...

Setting up php5-common (5.3.2-1ubuntu4.15) ...
Installing new version of config file /etc/cron.d/php5 ...
Setting up php5-dev (5.3.2-1ubuntu4.15) ...

Setting up python-httplib2 (0.7.2-1ubuntu2~0.10.04.1) ...

Setting up python-wadllib (1.1.4-1ubuntu1.1) ...

Setting up python-lazr.restfulclient (0.9.11-1ubuntu1.3) ...

Setting up python-libxml2 (2.7.6.dfsg-1ubuntu1.4) ...

Setting up python-pam (0.4.2-12.1ubuntu1.10.04.1) ...

Setting up unattended-upgrades (0.55ubuntu7) ...
update-rc.d: warning: unattended-upgrades start runlevel arguments (none) do not match LSB Default-Start values (0 6)
update-rc.d: warning: unattended-upgrades stop runlevel arguments (0 6) do not match LSB Default-Stop values (none)

Setting up python-software-properties (0.75.10.2) ...

Setting up samba-common-bin (2:3.4.7~dfsg-1ubuntu3.10) ...

Setting up xdg-utils (1.0.2-6.1ubuntu3.2) ...
Setting up xserver-common (2:1.7.6-2ubuntu7.11) ...
Setting up xserver-xorg-video-all (1:7.5+5ubuntu1.1) ...
Setting up xserver-xorg-input-all (1:7.5+5ubuntu1.1) ...
Setting up xulrunner-1.9.2 (1.9.2.28+build1+nobinonly-0ubuntu0.10.04.1) ...
update-alternatives: using /usr/bin/xulrunner-1.9.2 to provide /usr/bin/xulrunner (xulrunner) in auto mode.

Setting up fglrx-modaliases (2:8.723.1-0ubuntu6) ...
Setting up mobile-broadband-provider-info (20111113-1ubuntu0.10.04) ...
Setting up openjdk-6-doc (6b20-1.9.13-0ubuntu1~10.04.1) ...
Processing triggers for python-central ...
Setting up update-manager (1:0.134.12.1) ...

Setting up software-properties-gtk (0.75.10.2) ...

Setting up software-properties-kde (0.75.10.2) ...

Setting up update-manager-kde (1:0.134.12.1) ...

Processing triggers for python-central ...
Setting up language-pack-en (1:10.04+20110931) ...
Setting up g++-4.4 (4.4.3-4ubuntu5.1) ...
Setting up gobjc++-4.4 (4.4.3-4ubuntu5.1) ...
Setting up xserver-xorg-core (2:1.7.6-2ubuntu7.11) ...

Setting up language-pack-en-base (1:10.04+20110931) ...
Generating locales...
  en_AG.UTF-8... done
  en_AU.UTF-8... done
  en_BW.UTF-8... done
  en_CA.UTF-8... done
  en_DK.UTF-8... done
  en_GB.UTF-8... done
  en_HK.UTF-8... done
  en_IE.UTF-8... done
  en_IN.UTF-8... done
  en_NG.UTF-8... done
  en_NZ.UTF-8... done
  en_PH.UTF-8... done
  en_SG.UTF-8... done
  en_US.UTF-8... up-to-date
  en_ZA.UTF-8... done
  en_ZM.UTF-8... cannot open locale definition file `en_ZM': No such file or directory
failed
  en_ZW.UTF-8... done
Generation complete.

Setting up libstdc++6-4.4-dev (4.4.3-4ubuntu5.1) ...
Setting up xserver-xorg (1:7.5+5ubuntu1.1) ...

Setting up xorg (1:7.5+5ubuntu1.1) ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Setting up language-pack-gnome-en (1:10.04+20110931) ...
Setting up language-pack-gnome-en-base (1:10.04+20110931) ...

Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-support ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for python-support ...
andrew@andrew99:~$

Question information

Language:
English Edit question
Status:
Expired
For:
Ubuntu ia32-libs-tools Edit question
Assignee:
No assignee Edit question
Last query:
2012-04-30
Last reply:
2012-05-17
Barry Drake (b-drake) said : #1

This can usually be fixed by running sudo apt-get install -f

andrew prudente (aprudente-99) said : #2

thanks Barry, I did exactly as you said and it came back with I should autoremove certain Linux Headers which I did however, that did not solve the problem. Tryton still reports Unable to connect to server. Does this app require me to setup a server with a login etc.? It didn't ask anything during the installation.

My Update manager is the one that reports Fix Broken Packages First when it tries to update.

Sam_ (and-sam) said : #3

Please post complete output of:
sudo apt-get update
sudo apt-get upgrade

Reference.
https://help.ubuntu.com/community/AptGet/Howto

Sam_ (and-sam) said : #4

For setup try the documentation.
http://www.tryton.org

Launchpad Janitor (janitor) said : #6

This question was expired because it remained in the 'Needs information' state without activity for the last 15 days.